Page MenuHomeFreeBSD

ccr: Support AES-CCM requests with truncated tags.
ClosedPublic

Authored by jhb on Sep 24 2021, 6:05 PM.
Tags
None
Referenced Files
Unknown Object (File)
Wed, Feb 21, 9:14 AM
Unknown Object (File)
Wed, Feb 21, 9:13 AM
Unknown Object (File)
Wed, Feb 21, 9:09 AM
Unknown Object (File)
Wed, Feb 21, 1:55 AM
Unknown Object (File)
Wed, Feb 7, 4:06 PM
Unknown Object (File)
Dec 29 2023, 4:29 AM
Unknown Object (File)
Dec 23 2023, 12:44 AM
Unknown Object (File)
Dec 23 2023, 12:44 AM
Subscribers

Diff Detail

Repository
rG FreeBSD src repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

Tested via cryptocheck and the AES-CCM KAT vectors. Note that the software fallback (ccr_ccm_soft) still requires additional fixes for this in a later commit in this series (D32120).

This revision was not accepted when it landed; it landed in state Needs Review.Oct 6 2021, 9:11 PM
This revision was automatically updated to reflect the committed changes.